<?php
// Autor (c) Miroslav Novak, www.platiti.cz
// Pouzivani bez souhlasu autora neni povoleno
// #Ver:PRV101-56-g411a2eed:2023-07-24#

use Platiti\GPWebPayGpeNs\PrestaShop\PrestaAdapter;

use PrestaShop\PrestaShop\Core\Payment\PaymentOption;

if ("GPWebPayGpeNs" != "Pti"."UniNs") { // @phpstan-ignore-line
	require_once __DIR__."/PrestaAdapter.php";
} else {
	require_once _PS_ROOT_DIR_."/modules/PrestaAdapter/PrestaAdapter.php";
}


class GPWebPayGpeBinder extends PaymentModule {
	/** @var PrestaAdapter */
	public $adapter;

	/**
	 * @return void
	 */
	public function __construct() {
		$this->adapter = new PrestaAdapter($this, 'GPWebPayGpe', '');
		parent::__construct();
	}

	/**
	 * @return bool
	 */
	public function install() {
		return $this->adapter->install();
	}

	/**
	 * @return string
	 */
	public function getContent() {
		return $this->adapter->getContent();
	}

	/**
	 * @param mixed $params
	 * @return ?string
	 */
	public function hookPayment($params) {
		return $this->adapter->hookPayment($params);
	}

	/**
	 * @param mixed $params
	 * @return ?array<int, PaymentOption>
	 */
	public function hookPaymentOptions($params) {
		return $this->adapter->hookPaymentOptions($params);
	}

	/**
	 * @param mixed $params
	 * @return ?string
	 */
	public function hookPaymentReturn($params) {
		return $this->adapter->hookPaymentReturn($params);
	}

	/**
	 * @param mixed $params
	 * @return string
	 */
	public function hookAdminOrder($params)	{
		return $this->adapter->hookAdminOrder($params);
	}

	/**
	 * @param mixed $params
	 * @return void
	 */
	public function hookActionPDFInvoiceRender($params)	{
		$this->adapter->hookActionPDFInvoiceRender($params);
	}


	/**
	 * @param mixed $params
	 * @return ?string
	 */
	public function hookRightColumn($params) {
		return $this->adapter->hookRightColumn($params);
	}

	/**
	 * @param mixed $params
	 * @return ?string
	 */
	public function hookFooter($params) {
		return $this->adapter->hookFooter($params);
	}

	/**
	 * @param mixed $params
	 * @return ?string
	 */
	public function hookLeftColumn($params) {
		return $this->adapter->hookLeftColumn($params);
	}

	/**
	 * @param mixed $params
	 * @return ?string
	 */
	public function hookDisplayProductAdditionalInfo($params)	{
		return $this->adapter->hookDisplayProductAdditionalInfo($params);
	}

	/**
	 * @param mixed $params
	 * @return ?string
	 */
	public function hookExtraRight($params)	{
		return $this->adapter->hookExtraRight($params);
	}

	/**
	 * @param mixed $params
	 * @return void
	 */
	public function hookActionOrderStatusUpdate($params) {
		$this->adapter->hookActionOrderStatusUpdate($params);
	}

	/**
	 * @param mixed $params
	 * @return void
	 */
	public function hookActionOrderStatusPostUpdate($params) {
		$this->adapter->hookActionOrderStatusPostUpdate($params);
	}

	/**
	 * @param mixed $params
	 * @return void
	 */
	public function hookActionOrderHistoryAddAfter($params) {
		$this->adapter->hookActionOrderHistoryAddAfter($params);
	}

	/**
	 * @param int $id_cart
	 * @param int $id_order_state
	 * @param float $amountPaid
	 * @param string $paymentMethod Payment method (eg. 'Credit card')
	 * @param string|null $message Message to attach to order
	 * @param mixed $extraVars
	 * @param int|null $currency_special
	 * @param bool $dont_touch_amount
	 * @param string|bool $secure_key
	 * @param ?Shop $shop
	 * @param string|null $order_reference
	 */
	public function validateOrder($id_cart, $id_order_state, $amountPaid, $paymentMethod = 'Unknown', $message = NULL, $extraVars = array(), $currency_special = NULL, $dont_touch_amount = false, $secure_key = false, Shop $shop = null, $order_reference = null) {
		return $this->adapter->validateOrder($id_cart, $id_order_state, $amountPaid, $paymentMethod, $message, $extraVars, $currency_special, $dont_touch_amount, $secure_key, $shop, $order_reference);
	}


}
