<?php
// Autor (c) Miroslav Novak, www.platiti.cz
// Pouzivani bez souhlasu autora neni povoleno
// #Ver:PRV101-56-g411a2eed:2023-07-24#

namespace Platiti\GPWebPayGpeNs\PrestaShop;

use Exception;
use Platiti\GPWebPayGpeNs\UniModul\Http;

use function Platiti\GPWebPayGpeNs\UniModul\BeginUniErr;
use function Platiti\GPWebPayGpeNs\UniModul\EndUniErr;
use function Platiti\GPWebPayGpeNs\UniModul\ExceptionUniErr;

include(dirname(__FILE__).'/../../config/config.inc.php');
include(dirname(__FILE__).'/../../init.php');
require_once dirname(__FILE__).'/PrestaAdapter.php';

try {
	BeginUniErr();

	session_start();
	$uniModulName = $_GET['_uniModul'];
	if (!$uniModulName) $uniModulName = $_GET['_unimodul']; // v jedne verzi bylo na PrestaAdapter nestandardne malymi pismeny _unimodul, asi jen jedna instalace. Takze pro zachovani zpetne kompatibility
	$adapter = new PrestaAdapter(null, $uniModulName);
	parse_str($_SERVER['QUERY_STRING'], $cbArgs);
	$adapter->uniModul->processCallbackRequest(Http::get('_callbackName'), $cbArgs); /** @phpstan-ignore-line */
	EndUniErr();
} catch (Exception $ex) {
	ExceptionUniErr($ex);
}
