<?php

namespace Platiti\GPWebPayGpeNs\PrestaShop;

use Exception;
use ModuleFrontController;

use function Platiti\GPWebPayGpeNs\UniModul\BeginUniErr;
use function Platiti\GPWebPayGpeNs\UniModul\EndUniErr;
use function Platiti\GPWebPayGpeNs\UniModul\ExceptionUniErr;

class PrestaAdapterFailModuleFrontController extends ModuleFrontController {

	/** @var bool */
	public $ssl = true;

	/**
	 * @return void
	 */
	public function initContent() {
		parent::initContent();
		try {
			BeginUniErr();

			assert(isset($this->module->adapter) && is_a($this->module->adapter, PrestaAdapter::class));
			$this->module->adapter->assignSmartyForFailPage();
			if ("GPWebPayGpeNs" == "Pti"."UniNs") { // @phpstan-ignore-line
				$moduleName = "PrestaAdapter";
			} else {
				$moduleName = $this->module->name;
			}
			if (_PS_VERSION_ >= '1.7.0') {
				$this->setTemplate("module:{$moduleName}/views/templates/front/fail.17.tpl");
			} else {
				$this->template = _PS_ROOT_DIR_."/modules/{$moduleName}/views/templates/front/fail.15.tpl";  // setTemplate nelze pouzit, protoze chce aktualni binder a adresar view/front/
			}

			EndUniErr();
		} catch (Exception $ex) {
			ExceptionUniErr($ex);
		}

	}

}

