<?php

namespace Platiti\GPWebPayGpeNs\PrestaShop;

use Exception;
use Language;
use ModuleFrontController;

use function Platiti\GPWebPayGpeNs\UniModul\BeginUniErr;
use function Platiti\GPWebPayGpeNs\UniModul\EndUniErr;
use function Platiti\GPWebPayGpeNs\UniModul\ExceptionUniErr;

class PrestaAdapterReplyModuleFrontController extends ModuleFrontController {

	public $ssl = true;

	/**
	 * @return void
	 */
	public function initContent() {
		parent::initContent();
		try {
			BeginUniErr();

			global $cookie;
			$language = Language::getIsoById($cookie->id_lang ? (int)($cookie->id_lang) : 1);
			assert(isset($this->module->adapter) && is_a($this->module->adapter, PrestaAdapter::class));
			$orderReplyStatus = $this->module->adapter->uniModul->gatewayReceiveReply(strval($language));
			$this->module->adapter->procesReplyStatus($orderReplyStatus, true);

			EndUniErr();
		} catch (Exception $ex) {
			ExceptionUniErr($ex);
		}
	}

	/**
     * @param mixed $content
	 * @return void
     */
	protected function smartyOutputContent($content) {
		// no smarty output
	}

}

